==================== Changes in man-pages-6.06 ====================

Released: 2024-02-12, Aldaya


Contributors
------------

The following people contributed patches/fixes, reports, notes,
ideas, and discussions that have been incorporated in changes in
this release:

"G. Branden Robinson" <branden@debian.org>
"G. Branden Robinson" <g.branden.robinson@gmail.com>
"Huang, Ying" <ying.huang@intel.com>
"Serge E. Hallyn" <serge@hallyn.com>
Adhemerval Zanella Netto <adhemerval.zanella@linaro.org>
Ahelenia Ziemiańska <nabijaczleweli@nabijaczleweli.xyz>
Alejandro Colomar <alx@kernel.org>
Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Alexey Tikhonov <atikhono@redhat.com>
Amir Goldstein <amir73il@gmail.com>
Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Andreas Schwab <schwab@linux-m68k.org>
Andreas Schwab <schwab@suse.de>
Andriy Utkin <andriy_utkin@fastmail.com>
Arnav Rawat <rawat.arnav@gmail.com>
Arnd Bergmann <arnd@arndb.de>
Aurelien Jarno <aurel32@debian.org>
Avinesh Kumar <akumar@suse.de>
Axel Rasmussen <axelrasmussen@google.com>
Brian Inglis <Brian.Inglis@Shaw.ca>
Bruno Haible <bruno@clisp.org>
Carlos O'Donell <carlos@redhat.com>
Catalin Marinas <catalin.marinas@arm.com>
Christian Brauner <brauner@kernel.org>
Christopher Lameter <cl@os.amperecomputing.com>
Colin Watson <cjwatson@debian.org>
DJ Delorie <dj@redhat.com>
David Mosberger <davidm@hpl.hp.com>
Deri James <deri@chuzzlewit.myzen.co.uk>
Don Brace <don.brace@microchip.com>
Elliott Hughes <enh@google.com>
Florent Revest <revest@chromium.org>
Florian Lehner <dev@der-flo.net>
Florian Weimer <fweimer@redhat.com>
G. Branden Robinson <g.branden.robinson@gmail.com>
Geoff Keating <geoffk@ozemail.com.au>
Gobinda Das <godas@redhat.com>
Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Guillem Jover <guillem@hadrons.org>
Guo Ren <guoren@kernel.org>
Guo Ren <guoren@linux.alibaba.com>
Günther Noack <gnoack@google.com>
Hanno Böck <hanno@hboeck.de>
Helge Kreutzmann <debian@helgefjell.de>
Iker Pedrosa <ipedrosa@redhat.com>
Ingo Schwarze <schwarze@openbsd.org>
Ingo Schwarze <schwarze@usta.de>
Jakub Jelinek <jakub@redhat.com>
Jakub Wilk <jwilk@jwilk.net>
Jan Engelhardt <jengelh@inai.de>
Jan Kara <jack@suse.cz>
John Watts <contact@jookia.org>
Jonathan Wakely <jwakely@redhat.com>
Jonny Grant <jg@jguk.org>
Kees Cook <keescook@chromium.org>
Kevin Barnett <kevin.barnett@microchip.com>
Kuniyuki Iwashima <kuniyu@amazon.com>
Lee Griffiths <poddster@gmail.com>
Luis Chamberlain <mcgrof@kernel.org>
Maciej Żenczykowski <maze@google.com>
Mario Blaettermann <mario.blaettermann@gmail.com>
Matthew House <mattlloydhouse@gmail.com>
Matthias Gerstner <matthias.gerstner@suse.com>
Max Kellermann <max.kellermann@ionos.com>
Michael Kerrisk <mtk.manpages@gmail.com>
Miguel de Icaza <miguel@nuclecu.unam.mx>
Mike McGowen <mike.mcgowen@microchip.com>
Mike Rapoport (IBM) <rppt@kernel.org>
Morten Welinder <mwelinder@gmail.com>
Muhammad Usama Anjum <usama.anjum@collabora.com>
Oskari Pirhonen <xxc3ncoredxx@gmail.com>
Patch by Xavier Leroy <Xavier.Leroy@inria.fr>.
Paul Eggert <eggert@cs.ucla.edu>
Paul Smith <psmith@gnu.org>
Peter Xu <peterx@redhat.com>
Petr Vorel <pvorel@suse.cz>
Philip Blundell <pb@nexus.co.uk>
Renzo Davoli <renzo@cs.unibo.it>
Reported by Ralf Corsepius <corsepiu@faw.uni-ulm.de>.
Reported by Sam Roberts <sroberts@uniserve.com>.
Richard Henderson <richard@gnu.ai.mit.edu>
Richard Henderson <rth@cygnus.com>
Richard Henderson <rth@tamu.edu>
Rik van Riel <riel@surriel.com>
Roland McGrath <roland@gnu.org>
Sam James <sam@gentoo.org>
Sambit Nayak <sambitnayak@gmail.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Sargun Dhillon <sargun@sargun.me>
Sascha Grunert <saschagrunert@gmail.com>
Sascha Grunert <sgrunert@redhat.com>
Scott Benesh <scott.benesh@microchip.com>
Scott Teel <scott.teel@microchip.com>
Serge Hallyn <serge@hallyn.com>
Sergei Gromeniuk <sgromeni@redhat.com>
Shahab Ouraie <shahabouraie@gmail.com>
Shani Leviim <sleviim@redhat.com>
Stefan Puiu <stefan.puiu@gmail.com>
Thorsten Kukuk <kukuk@suse.com>
Tom Schwindl <schwindl@posteo.de>
Tomáš Golembiovský <tgolembi@redhat.com>
Ulrich Drepper <drepper@cygnus.com>
Ulrich Drepper <drepper@redhat.com>
Wolfram Gloger <wg@wolfram.dent.med.uni-muenchen.de>
Wolfram Gloger <wmglo@dent.med.uni-muenchen.de>
Xavier Leroy <Xavier.Leroy@inria.fr>
Xi Ruoyao <xry111@xry111.site>
Yafang Shao <laoar.shao@gmail.com>
Yang Xu <xuyang2018.jy@fujitsu.com>
Zack Weinberg <zack@owlfolio.org>
Štěpán Němec <stepnem@smrk.net>
Дилян Палаузов <dilyan.palauzov@aegee.org>
наб <nabijaczleweli@nabijaczleweli.xyz>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

man2/
	ioctl_pagemap_scan.2

man3/					(taken from glibc's linuxthreads)
	pthread_cond_init.3
	pthread_condattr_init.3
	pthread_key_create.3
	pthread_mutex_init.3
	pthread_mutexattr_setkind_np.3
	pthread_once.3

man5/
	proc.5				(split into many small pages)
	proc_apm.5
	proc_buddyinfo.5
	proc_bus.5
	proc_cgroups.5
	proc_cmdline.5
	proc_config.gz.5
	proc_cpuinfo.5
	proc_crypto.5
	proc_devices.5
	proc_diskstats.5
	proc_dma.5
	proc_driver.5
	proc_execdomains.5
	proc_fb.5
	proc_filesystems.5
	proc_fs.5
	proc_ide.5
	proc_interrupts.5
	proc_iomem.5
	proc_ioports.5
	proc_kallsyms.5
	proc_kcore.5
	proc_key-users.5
	proc_keys.5
	proc_kmsg.5
	proc_kpagecgroup.5
	proc_kpagecount.5
	proc_kpageflags.5
	proc_ksyms.5
	proc_loadavg.5
	proc_locks.5
	proc_malloc.5
	proc_meminfo.5
	proc_modules.5
	proc_mtrr.5
	proc_partitions.5
	proc_pci.5
	proc_pid.5
	proc_pid_attr.5
	proc_pid_autogroup.5
	proc_pid_auxv.5
	proc_pid_cgroup.5
	proc_pid_clear_refs.5
	proc_pid_cmdline.5
	proc_pid_comm.5
	proc_pid_coredump_filter.5
	proc_pid_cpuset.5
	proc_pid_cwd.5
	proc_pid_environ.5
	proc_pid_exe.5
	proc_pid_fd.5
	proc_pid_fdinfo.5
	proc_pid_io.5
	proc_pid_limits.5
	proc_pid_map_files.5
	proc_pid_maps.5
	proc_pid_mem.5
	proc_pid_mountinfo.5
	proc_pid_mounts.5
	proc_pid_mountstats.5
	proc_pid_net.5
	proc_pid_ns.5
	proc_pid_numa_maps.5
	proc_pid_oom_score.5
	proc_pid_oom_score_adj.5
	proc_pid_pagemap.5
	proc_pid_personality.5
	proc_pid_projid_map.5
	proc_pid_root.5
	proc_pid_seccomp.5
	proc_pid_setgroups.5
	proc_pid_smaps.5
	proc_pid_stack.5
	proc_pid_stat.5
	proc_pid_statm.5
	proc_pid_status.5
	proc_pid_syscall.5
	proc_pid_task.5
	proc_pid_timers.5
	proc_pid_timerslack_ns.5
	proc_pid_uid_map.5
	proc_pid_wchan.5
	proc_profile.5
	proc_scsi.5
	proc_slabinfo.5
	proc_stat.5
	proc_swaps.5
	proc_sys.5
	proc_sys_abi.5
	proc_sys_debug.5
	proc_sys_dev.5
	proc_sys_fs.5
	proc_sys_kernel.5
	proc_sys_net.5
	proc_sys_proc.5
	proc_sys_sunrpc.5
	proc_sys_user.5
	proc_sys_vm.5
	proc_sysrq-trigger.5
	proc_sysvipc.5
	proc_tid_children.5
	proc_timer_list.5
	proc_timer_stats.5
	proc_tty.5
	proc_uptime.5
	proc_version.5
	proc_vmstat.5
	proc_zoneinfo.5


Newly documented interfaces in existing pages
---------------------------------------------

man2/
	access.2
		AT_EMPTY_PATH

	execve.2
		E2BIG

	ioctl_userfaultfd.2
		UFFDIO_API handshake
		UFFDIO_POISON
		UFFD_FEATURE_WP_ASYNC

	mbind.2
		MPOL_F_NUMA_BALANCING

	prctl.2
		PR_SET_MDWE
		PR_GET_MDWE

	set_thread_area.2
		C-SKY

	utimensat.2
		AT_EMPTY_PATH

man3/
	stdio.3
		fmemopen(3)
		fopencookie(3)
		open_memstream(3)
		open_wmemstream(3)

man4/
	smartpqi.4
		ctrl_ready_timeout
		enable_stream_detection
		ssd_smart_path_enabled
		enable_r5_writes
		enable_r6_writes
		lunid
		unique_id
		path_info
		raid_bypass_cnt
		sas_ncq_prio_enable

man5/
	proc_pid_status.5		(previously, proc.5)
		Seccomp_filters

	tmpfs.5
		size/blocks=0
		nr_inodes=0

man8/
	ld.so.8
		--list-diagnostics
		--glibc-hwcaps-mask
		--glibc-hwcaps-prepend


New and changed links
---------------------

man5/
	proc_mounts.5			(proc_pid_mounts(5))
	proc_net.5			(proc_pid_net(5))
	proc_pid_gid_map.5		(proc_pid_uid_map(5))
	proc_pid_oom_adj.5		(proc_pid_oom_score_adj(5))
	proc_self.5			(proc_pid(5))
	proc_thread-self.5		(proc_pid_task(5))
	proc_tid.5			(proc_pid_task(5))


Removed links
-------------

man3/
	stpecpy.3
	stpecpyx.3
	ustpcpy.3
	ustr2stp.3
	zustr2stp.3
	zustr2ustp.3


Global changes
--------------

-  Build system
   -  Update PDF book for groff-1.23.0.
   -  Add targets to [un]install intro(*) pages separately.
   -  Support manual pages in other projects, so that our build system
      can be used to for example lint them.
   -  Reject non-GNU make(1).
   -  Add target to build the PDF book.

-  man*/
   -  Add some consistency in the use of man(7).
   -  Split proc(5) into many small pages.
   -  Import pages from old linuxthreads (glibc), with their git
      history (from both glibc and Debian).
   -  Rewrite a large part of the documentation for string-copying
      functions.
   -  Say ISO/IEC instead of ISO where appropriate, and be consistent in
      the fomatting of names of ISO or ISO/IEC standards.


Changes to individual pages
---------------------------

The manual pages (and other files in the repository) have been improved
beyond what this changelog covers.  To learn more about changes applied
to individual pages, use git(1).
